Package com.enonic.xp.content

## Class FindContentIdsByQueryResult

- java.lang.Object
- - com.enonic.xp.content.FindContentIdsByQueryResult

-     @PublicApi
      public final class FindContentIdsByQueryResult
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FindContentIdsByQueryResult.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FindContentIdsByQueryResult.Builder` | `create()` |
    `static FindContentIdsByQueryResult` | `empty()` |
    `boolean` | `equals​(Object o)` |
    `Aggregations` | `getAggregations()` |
    `ContentIds` | `getContentIds()` |
    `ImmutableMap<ContentId,​HighlightedProperties>` | `getHighlight()` |
    `long` | `getHits()` |
    `ImmutableMap<ContentId,​Float>` | `getScore()` |
    `ImmutableMap<ContentId,​SortValuesProperty>` | `getSort()` |
    `long` | `getTotalHits()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static FindContentIdsByQueryResult.Builder create()

    - #### empty

          public static FindContentIdsByQueryResult empty()

    - #### getContentIds

          public ContentIds getContentIds()

    - #### getAggregations

          public Aggregations getAggregations()

    - #### getHighlight

          public ImmutableMap<ContentId,​HighlightedProperties> getHighlight()

    - #### getSort

          public ImmutableMap<ContentId,​SortValuesProperty> getSort()

    - #### getScore

          public ImmutableMap<ContentId,​Float> getScore()

    - #### getTotalHits

          public long getTotalHits()

    - #### getHits

          public long getHits()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`